DNF5-BUILDDEP(8)

NUME
dnf5-builddep - comanda «builddep»

SINOPSIS

dnf5 builddep [opțiuni] [<pachet>...]

DESCRIERE

Instalează dependențele lipsă pentru construirea unui pachet RPM.

AVERTISMENT: Dependențele de compilare dintr-un pachet sursă (de exemplu src.rpm) ar putea fi diferite de ceea ce v-ați aștepta, deoarece dependențele au fost evaluate în funcție de macro-urile stabilite pe gazda de compilare a pachetului.

OPȚIUNI

-D "macro expr", --define="macro expr"
    Definește o macro rpm. Definește valoarea „expr” la macroul „macro” la analizarea fișierelor spec. Nu se aplică pentru fișierele rpm sursă.

--with=OPȚIUNE, --without=OPȚIUNE
    Activează sau dezactivează OPȚIUNEA de construire condițională la analizarea fișierelor spec. Nu se aplică pentru fișierele rpm sursă.

--allowerasing
    Permite eliminarea pachetelor instalate pentru a rezolva eventualele probleme de dependență.

--skip-unavailable
    Permite omiterea pachetelor care nu pot fi retrogradate. Toate pachetele rămase vor fi retrogradate.

--allow-downgrade
    Activează retrogradarea dependențelor la rezolvarea operației solicitate.

--no-allow-downgrade
    Dezactivează retrogradarea dependențelor la rezolvarea operației solicitate.

--spec
    Tratează argumentele din linia de comandă care urmează această opțiune ca fișiere spec.

--srpm
    Tratează argumentele din linia de comandă care urmează această opțiuni ca rpms sursă.

ARGUMENTE

<pachet>
    Fie ruta către fișierul .src.rpm, .nosrc.rpm sau .spec fie pachetul disponibil într-un depozit.

EXEMPLE

dnf builddep foobar.spec
    Instalează cerințele de construcție necesare, definite în fișierul foobar.spec.

dnf builddep foobar-1.0-1.src.rpm
    Instalează cerințele de construcție necesare, definite în fișierul foobar-1.0-1.src.rpm.

dnf builddep foobar-1.0-1
    Caută foobar-1.0-1 în depozitele activate și instalează cerințele de compilare pentru acest pachet sursă rpm.

dnf builddep -D 'scl python27' python-foobar.spec
    Instalează cerințele de compilare necesare pentru versiunea python27 SCL a python-foobar.

dnf builddep --without=selinux foobar.spec
    Instalează cerințele de compilare necesare, cu excepția celor pentru suportul opțional SELinux

AUTOR
A se vedea AUTHORS.md în distribuția sursei dnf5.

DREPTURI DE AUTOR
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.